/*
 * Copyright (c) 2016, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.sun.ts.tests.jsonp.api.common;

import com.sun.javatest.Status;
import com.sun.ts.lib.harness.EETest;
import com.sun.ts.lib.harness.ServiceEETest;
import com.sun.ts.tests.jsonp.api.patchtests.PatchTests;
import java.util.Properties;

// $Id: JsonPTest.java 74752 2016-12-16 14:37:56Z tkraus $
/**
 * Common JSON-P test.
 */
public class JsonPTest extends ServiceEETest {

    /**
     * Java VM code execution entry point.
     * @param args Command line arguments.
     */
    public static void main(String[] args) 
    {
	PatchTests theTests = new PatchTests();
	Status s = theTests.run(args, System.out, System.err);
	s.exit();
    }

    /**
     * Test setup.
     * @param args Command line arguments.
     * @param p    Test properties.
     * @throws Fault 
     */
    public void setup(String[] args, Properties p) throws EETest.Fault
    {
        //logMsg("setup ok");
    }

    /**
     * Test cleanup.
     * @throws Fault 
     */
    public void cleanup() throws EETest.Fault {
        //logMsg("cleanup ok");
    }

}
